Problem when installing: Error 127

Bug/problem reports for any of the GYRE executables (gyre_ad, gyre_nad, etc)
Post Reply
stefano
Posts: 8
Joined: Sat Feb 09, 2019 5:24 pm

Problem when installing: Error 127

Post by stefano » Sat Feb 09, 2019 7:12 pm

Hello everyone,

I am trying to install GYRE but I keep hitting the same error just after executing the command make:

Code: Select all

Determining dependencies
/bin/sh: 1: fpx3_deps: not found
/bin/sh: 1: fpx3: not found
make[2]: *** [Make.inc:86: gyre.f90] Error 127
Does anyone know how to get passed it?

Thank you!

User avatar
rhtownsend
Site Admin
Posts: 305
Joined: Sun Mar 31, 2013 4:22 pm

Re: Problem when installing: Error 127

Post by rhtownsend » Sat Feb 09, 2019 7:24 pm

stefano wrote:
Sat Feb 09, 2019 7:12 pm
Hello everyone,

I am trying to install GYRE but I keep hitting the same error just after executing the command make:

Code: Select all

Determining dependencies
/bin/sh: 1: fpx3_deps: not found
/bin/sh: 1: fpx3: not found
make[2]: *** [Make.inc:86: gyre.f90] Error 127
Does anyone know how to get passed it?

Thank you!
It looks like you haven't properly installed the MESA SDK. Check that you've correctly completed the procedure described here:

http://www.astro.wisc.edu/~townsend/sta ... ef=mesasdk

cheers,

Rich

stefano
Posts: 8
Joined: Sat Feb 09, 2019 5:24 pm

Re: Problem when installing: Error 127

Post by stefano » Sat Feb 09, 2019 8:00 pm

Thank you, Rich.

It seems I did not have correctly defined the environment variable $MESASDK_ROOT.

Now make test goes without problems.

Best,
Stefano

Post Reply